package com.alibaba.druid.sql.dialect.dm.ast.stmt;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.statement.SQLAlterTableItem;
import com.alibaba.druid.sql.dialect.dm.ast.DmSQLObjectImpl;
import com.alibaba.druid.sql.dialect.dm.visitor.DmASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class DmAlterTableDropPartition extends DmSQLObjectImpl implements SQLAlterTableItem {
   private SQLName name;
   private DmAlterTableModifyPartition.Type type;
   private List<SQLExpr> items = new ArrayList();

   public void accept0(DmASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.items);
      }

      visitor.endVisit(this);
   }

   public SQLName getName() {
      return this.name;
   }

   public void setName(SQLName name) {
      this.name = name;
   }

   public DmAlterTableModifyPartition.Type getType() {
      return this.type;
   }

   public void setType(DmAlterTableModifyPartition.Type type) {
      this.type = type;
   }

   public List<SQLExpr> getItems() {
      return this.items;
   }

   public void setItems(List<SQLExpr> items) {
      this.items = items;
   }
}
